<form [formGroup]="passwordForm"
      (ngSubmit)="update()">
  <div class="form-group row"
      [ngClass]="{
        'has-danger': password.invalid && (password.dirty || password.touched),
        'has-success': password.valid && (password.dirty || password.touched)
      }"
  >
    <label for="password" class="col-4 col-form-label">{{'PROFILE.PASSWORD' | translate}}:</label>
    <div class="col-8">
      <p id="password" class="form-control-static"
        *ngIf="!isEdit">{{user.passwordUpdatedAt | date: 'longDate'}}, {{user.passwordUpdatedAt | date: 'shortTime'}}</p>
      <input id="password" class="form-control"
            *ngIf="isEdit"
            [ngClass]="{
              'form-control-danger': password.invalid,
              'form-control-success': password.valid
            }"
            type="text"
            placeholder="{{'SIGNUP.PASSWORD_PLACEHOLDER' | translate}}"
            formControlName="password">
            <small class="form-control-feedback"
                  *ngIf="(!password.pristine || password.touched) && password.errors">
                  <div *ngIf="password.errors.required">{{'SIGNUP.PASSWORD_REQUIRED' | translate}}</div>
                  <div *ngIf="password.errors.pattern">{{'SIGNUP.PASSWORD_NOT_VALID' | translate}}</div>
            </small>
    </div>
  </div>
  <button class="btn btn-outline-primary btn-sm btn-block"
          *ngIf="!isEdit"
          (click)="isEdit = !isEdit"
          type="button"
          >{{'PROFILE.EDIT_BTN' | translate}}</button>
  <div class="row"
      *ngIf="isEdit">
    <div class="col col-sm-6">
      <button class="btn btn-outline-warning btn-sm btn-block"
              (click)="isEdit = !isEdit"
              type="button"
              >{{'PROFILE.CANCEL_BTN' | translate}}</button>
    </div>
    <div class="col col-sm-6">
      <button class="btn btn-outline-success btn-sm btn-block"
              [disabled]="passwordForm.invalid"
              type="submit"
              >{{'PROFILE.SAVE_BTN' | translate}}</button>
    </div>
  </div>
</form>
